summaryrefslogtreecommitdiff
path: root/net-analyzer
diff options
context:
space:
mode:
Diffstat (limited to 'net-analyzer')
-rw-r--r--net-analyzer/Manifest.gzbin43086 -> 43087 bytes
-rw-r--r--net-analyzer/shodan/Manifest4
-rw-r--r--net-analyzer/shodan/shodan-1.30.0.ebuild36
-rw-r--r--net-analyzer/shodan/shodan-9999.ebuild8
-rw-r--r--net-analyzer/wireshark/Manifest6
-rw-r--r--net-analyzer/wireshark/wireshark-4.0.8.ebuild316
-rw-r--r--net-analyzer/wireshark/wireshark-4.1.0.ebuild316
-rw-r--r--net-analyzer/wireshark/wireshark-9999.ebuild11
-rw-r--r--net-analyzer/wtfis/Manifest4
-rw-r--r--net-analyzer/wtfis/wtfis-0.7.0.ebuild38
-rw-r--r--net-analyzer/wtfis/wtfis-9999.ebuild8
11 files changed, 731 insertions, 16 deletions
diff --git a/net-analyzer/Manifest.gz b/net-analyzer/Manifest.gz
index bd13b49847c1..3c176b2767e6 100644
--- a/net-analyzer/Manifest.gz
+++ b/net-analyzer/Manifest.gz
Binary files differ
diff --git a/net-analyzer/shodan/Manifest b/net-analyzer/shodan/Manifest
index 80e64c4e6b7c..b300900b1b75 100644
--- a/net-analyzer/shodan/Manifest
+++ b/net-analyzer/shodan/Manifest
@@ -1,4 +1,6 @@
DIST shodan-1.28.0.gh.tar.gz 51277 BLAKE2B e2cd4c322ccdd1d81c998dc810c56b85de903afe9c3a59adc231d382779806909a78e994ff163639468dd9af1e8f7a547953b0e2304ac167ed7cf9c437d69adc SHA512 cb2476faf2c435d29823635e5262bdf6b224b2a5f19b77513fb6e920f4d042b15a7fd23cea7e2a29bc73b00be188dfac16f945fba090da28a72d0342357232c3
+DIST shodan-1.30.0.tar.gz 57790 BLAKE2B 1c3c030e84d31dc79ad737b71e63ce6c9218441be04ec94b4144013545e0d7dd79f1e25e51af1811cdd624f2f32b128e5aeb7dbc8d71b21741712733ca4b6d39 SHA512 996555945f4d874cb0fa3c596e6fad9298f7af396c0e94d75b8e9e103d4a2d7dd33ed8af24a218c753117231a0713caa971106f2152bc429d7c8b5c07b00dbc6
EBUILD shodan-1.28.0.ebuild 897 BLAKE2B 13deb81e710601c0fdcf5fb7a93ce9f94afe7eb0351038bd560a532b33e49231537a35d9da259b48aa0532947f49308bf2a6ebae3196bc5c36653a6fc06b9b67 SHA512 88ee098bfd3411a8b9349750e31f1828bf80612a6f77f344206b85f5101f2b82b0b71cfeacaf4cc0e5481539e1fff0b702fbbe0f9ef75004cbcc85461c1b1b74
-EBUILD shodan-9999.ebuild 892 BLAKE2B 82f5220e588eec40c31da4208c67692747b0466a5a30e816db9719f9230355bba185b94452dc3570f00d7c75306ec275cc57d959f679919d1ea5bdda13c474ab SHA512 306dc86e618044a549afb76acb378fd7b6ba739668162ed5ac59643f79469a79db675692a94d9241e56eee3b131a4b25c78846e70214a58f61c3591733bffb76
+EBUILD shodan-1.30.0.ebuild 814 BLAKE2B b76f650e38529aca24bbdae2e3597fb872e5fb35903f6dfb85fe9abe7483020460d918c45edc50fe40b3accae5f3e2f5c821c34050e93eb76f09ebe6dc325347 SHA512 ec504b9653062ec5c61d73677972a39f876175de0724a3b16e377a39ebda562232c339ceebeb4d72858cd881e7ec3330a0304396028fe1d4eca39490be649379
+EBUILD shodan-9999.ebuild 821 BLAKE2B d940ee350504a58c8169e90f5ade9af407758afc4eee2fa2dae80fb17ccf2caeddeda595e83376a2dcea07aa8ef8f7393456a1684411f53dbad9f804989c5a25 SHA512 be7051a3c6ec6dc9ed42fbfea4e8eefba584a62c1a5266666990f7631a5762f742197eb486d4d6816a00319e2323234f9343d3ed7af90f7c067c1631a409ac04
MISC metadata.xml 864 BLAKE2B 1eeb1a52185cac9195cc62b3e74d0dfb7df895666303bbbf562a4b75363b0179137de3cf99c8d650f59a13f972bfbdece972783ba282870a501289950d9cec6c SHA512 737b931e809418e0fe940ac6026d52edce42d0b5da30372394403210688caab00d8c99807b640de74383f3e4daafc3e09764bdde31e54d9898a11aff60f4f2c4
diff --git a/net-analyzer/shodan/shodan-1.30.0.ebuild b/net-analyzer/shodan/shodan-1.30.0.ebuild
new file mode 100644
index 000000000000..9fd2907ed8ae
--- /dev/null
+++ b/net-analyzer/shodan/shodan-1.30.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+inherit distutils-r1
+
+DESCRIPTION="The official Python library for Shodan"
+HOMEPAGE="https://github.com/achillean/shodan-python"
+
+MY_PN="${PN}-python"
+
+if [[ ${PV} = "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/achillean/shodan-python.git"
+else
+ inherit pypi
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/click-plugins[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.2.1[${PYTHON_USEDEP}]
+ dev-python/tldextract[${PYTHON_USEDEP}]
+ dev-python/xlsxwriter[${PYTHON_USEDEP}]
+"
+
+# Test requires API key
+RESTRICT="test"
diff --git a/net-analyzer/shodan/shodan-9999.ebuild b/net-analyzer/shodan/shodan-9999.ebuild
index 984c33c3f1f6..c530e8f47fb4 100644
--- a/net-analyzer/shodan/shodan-9999.ebuild
+++ b/net-analyzer/shodan/shodan-9999.ebuild
@@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..11} )
inherit distutils-r1
DESCRIPTION="The official Python library for Shodan"
@@ -16,9 +16,8 @@ if [[ ${PV} = "9999" ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/achillean/shodan-python.git"
else
- SRC_URI="https://github.com/achillean/shodan-python/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
- S="${WORKDIR}/${MY_PN}-${PV}"
- KEYWORDS="~amd64 ~x86"
+ inherit pypi
+ KEYWORDS="~amd64 ~loong ~x86"
fi
LICENSE="MIT"
@@ -29,6 +28,7 @@ RDEPEND="
dev-python/click-plugins[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
>=dev-python/requests-2.2.1[${PYTHON_USEDEP}]
+ dev-python/tldextract[${PYTHON_USEDEP}]
dev-python/xlsxwriter[${PYTHON_USEDEP}]
"
diff --git a/net-analyzer/wireshark/Manifest b/net-analyzer/wireshark/Manifest
index ddb1e4f54706..9ea6a56f87ae 100644
--- a/net-analyzer/wireshark/Manifest
+++ b/net-analyzer/wireshark/Manifest
@@ -3,7 +3,11 @@ AUX wireshark-2.6.0-redhat.patch 248 BLAKE2B a3cc5af29cea1b46cc8456c80a1ddf3a0db
AUX wireshark-3.4.2-cmake-lua-version.patch 304 BLAKE2B 438bd2ee1e0e0121cc673709385ccda88664131d50fb63d48147c83798e9f541efa270c56d30ad4345ef77d59fb16554b0d8de8c19bafd8181c0c96e3c7b1ba9 SHA512 ab4a7f3d64cc402fcf6b1c9b54aad75dbb1104b19282078947a6c4315f48b5a2c0eeff9918e42d98196976d2e1d26ef2e439a1d2811de1a326a4954d54a08bff
DIST wireshark-4.0.6.tar.xz 41583088 BLAKE2B 5c4f3b6e16541afbeb9241d2c66c75da97df3164cbc841f1d5d5ba57fa102d85c8d22275180ce2e4fb72ed73c9fb8e64be1c9b4f337803d85146564bee43ce52 SHA512 651b760d05518a914ffbb2fe1ced84e877ebc40d7b03500586e009609064761bef7810654b1321e08aeea403867450be289227a9e43937e9f777693a8f4c901b
DIST wireshark-4.0.7.tar.xz 43113752 BLAKE2B 06d4863fe796da8d3b97144a8b24430741ea8f58a8401a56327e0db37e5a7e81e63ab43325c87195a535565af7cb1265e25f8c62600ae69d549da479951bb9a1 SHA512 98f609405f20a3714e7c5e4f806cae5cc842daaf0219bd92d3130d2930758cce244edca4529db59300b5ca1e1e98d1aa632bc5c85c92f26aa2e0c124e691a5ab
+DIST wireshark-4.0.8.tar.xz 43123664 BLAKE2B bda31be809724a39e475489eb5653589310ae679933fac193cbc8bb3924b3ec48a93b5da6d39655fdb9f4a8d717b9cc84fcb357bea275cb457b45783a75ca778 SHA512 f6de0f86bb1eac82f7ed2d98d7f4fe3189107b1f0da441abd9077593f8e624989c33aaf8b4ef4b3c460fe787c64c4b8fdb3168de9f5661802fed6b06d71c5c65
+DIST wireshark-4.1.0.tar.xz 44601140 BLAKE2B c20a0a917c94554d593986e9058cee7f10c68a0e73a3b8a69e87c40f5932d4f33da1d3ba8ed5177094058bd43ba9942b21a2f3fe6e04a751ffb75e9e9b524627 SHA512 d3253d26d53dbeaa14f7d7dd0956124de3f7fe1d683f2041c6d1420271ba9601248c904a0927160194ca54aa8752526bd5de643d553e55ded8478caa54cd9bb0
EBUILD wireshark-4.0.6.ebuild 7998 BLAKE2B 5cfa933262dd90a34f80eabe4712e1ef56a17c95458eb1739397e872cd35d95374aa54fdba164121a912163b335691623a52d6d5ea164d6074567ec6c655154e SHA512 5996d39b034060fe9cebc3b13f2e9becfbcf640e68d9039e5e48a4da97c8a4d5f6d00973fd64db3e2d514872afa4317813b296b33d53bf630e58ac9a4d5e9a30
EBUILD wireshark-4.0.7.ebuild 7998 BLAKE2B 5cfa933262dd90a34f80eabe4712e1ef56a17c95458eb1739397e872cd35d95374aa54fdba164121a912163b335691623a52d6d5ea164d6074567ec6c655154e SHA512 5996d39b034060fe9cebc3b13f2e9becfbcf640e68d9039e5e48a4da97c8a4d5f6d00973fd64db3e2d514872afa4317813b296b33d53bf630e58ac9a4d5e9a30
-EBUILD wireshark-9999.ebuild 8050 BLAKE2B e48ab65b52d3c0e3bf214e30d03d1cb1543c8cf1cf54c96e9814891ed693db99510a0efbb16efbb092b53bb57cce760c0269ef0a46e6136a2d92e162af3fff6c SHA512 5bbf03f59352d4bf10e35dce56cf0d7c7cd5ca1648fcbdaf4a5ca83f7f4ebf62d577304aa73362e7ef72495cab3ab684710e806d00cd808671713bbb0d0a7b25
+EBUILD wireshark-4.0.8.ebuild 8003 BLAKE2B cec3a00dbb3721848360e0bb62b411dc6162cbfb07c47120cb7c486c34e3bbc42bb6700cb28d0a13619c604b9128677b2ceac001949da8dd6ee5ecaf5befccc7 SHA512 3d16e2a4529b8ee885e139a2a582f250e738bb8a7873f459cc0e2409525e5663c8a4ccc237c13825880025ae469e017ce4e6eb6a64ef705d4b7fc2f06edc41cf
+EBUILD wireshark-4.1.0.ebuild 8084 BLAKE2B f28a204ad7ff26bd56f6647b12e169dac8d8db8a5b63910896a8374a01996fb26edad7d7186a501c93618ee3eb2e32ece3286c05198750c170fe9c95d05d1972 SHA512 8a3c303fb7d4f56ed6a7c1637213834c2965873c71568cc5e76d68f2a3b0580f12c3682787ef54690bc755beadf9dfa46b053e48d245fa4207d7ca9d118db729
+EBUILD wireshark-9999.ebuild 8084 BLAKE2B f28a204ad7ff26bd56f6647b12e169dac8d8db8a5b63910896a8374a01996fb26edad7d7186a501c93618ee3eb2e32ece3286c05198750c170fe9c95d05d1972 SHA512 8a3c303fb7d4f56ed6a7c1637213834c2965873c71568cc5e76d68f2a3b0580f12c3682787ef54690bc755beadf9dfa46b053e48d245fa4207d7ca9d118db729
MISC metadata.xml 5422 BLAKE2B 92a191ef763a5ce4079f75b06ec7514c1f052b96e3ed2ff1e6d60e426b60d3bdebe373fc23b11625e5de2b8dc495924787e14ab6be6ec9e9f5216686a3c7dd3b SHA512 574ab162b8634bd66d1d93ac3e845328958cab66982aac5ea5aba3bbecd2c510c66a7f7584eb1192c1ca0c157522ade2dbaf0780c4d92601ff416a81a6b1239f
diff --git a/net-analyzer/wireshark/wireshark-4.0.8.ebuild b/net-analyzer/wireshark/wireshark-4.0.8.ebuild
new file mode 100644
index 000000000000..7aec333de3c4
--- /dev/null
+++ b/net-analyzer/wireshark/wireshark-4.0.8.ebuild
@@ -0,0 +1,316 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..2} )
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit fcaps flag-o-matic readme.gentoo-r1 lua-single python-any-r1 qmake-utils xdg cmake
+
+DESCRIPTION="Network protocol analyzer (sniffer)"
+HOMEPAGE="https://www.wireshark.org/"
+
+if [[ ${PV} == *9999* ]] ; then
+ EGIT_REPO_URI="https://gitlab.com/wireshark/wireshark"
+ inherit git-r3
+else
+ SRC_URI="https://www.wireshark.org/download/src/all-versions/${P/_/}.tar.xz"
+ S="${WORKDIR}/${P/_/}"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~x86"
+ fi
+fi
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+IUSE="androiddump bcg729 brotli +capinfos +captype ciscodump +dftest doc dpauxmon"
+IUSE+=" +dumpcap +editcap +gui http2 ilbc kerberos libxml2 lto lua lz4 maxminddb"
+IUSE+=" +mergecap +minizip +netlink opus +plugins +pcap qt6 +randpkt"
+IUSE+=" +randpktdump +reordercap sbc selinux +sharkd smi snappy spandsp sshdump ssl"
+IUSE+=" sdjournal test +text2pcap tfshark +tshark +udpdump wifi zlib +zstd"
+
+REQUIRED_USE="
+ lua? ( ${LUA_REQUIRED_USE} )
+"
+
+# Tests restricted for now because rely on pytest internals w/ >=3.11
+# See bug #897078 and https://gitlab.com/wireshark/wireshark/-/issues/18740.
+RESTRICT="!test? ( test ) test"
+
+# bug #753062 for speexdsp
+RDEPEND="
+ acct-group/pcap
+ >=dev-libs/glib-2.50.0:2
+ dev-libs/libpcre2
+ >=net-dns/c-ares-1.13.0:=
+ >=dev-libs/libgcrypt-1.8.0:=
+ media-libs/speexdsp
+ bcg729? ( media-libs/bcg729 )
+ brotli? ( app-arch/brotli:= )
+ ciscodump? ( >=net-libs/libssh-0.6:= )
+ filecaps? ( sys-libs/libcap )
+ http2? ( >=net-libs/nghttp2-1.11.0:= )
+ ilbc? ( media-libs/libilbc:= )
+ kerberos? ( virtual/krb5 )
+ libxml2? ( dev-libs/libxml2 )
+ lua? ( ${LUA_DEPS} )
+ lz4? ( app-arch/lz4:= )
+ maxminddb? ( dev-libs/libmaxminddb:= )
+ minizip? ( sys-libs/zlib[minizip] )
+ netlink? ( dev-libs/libnl:3 )
+ opus? ( media-libs/opus )
+ pcap? ( net-libs/libpcap )
+ gui? (
+ x11-misc/xdg-utils
+ qt6? (
+ dev-qt/qtbase:6[concurrent,dbus,gui,widgets]
+ dev-qt/qt5compat:6
+ dev-qt/qtmultimedia:6
+ )
+ !qt6? (
+ dev-qt/qtcore:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5
+ )
+ )
+ sbc? ( media-libs/sbc )
+ sdjournal? ( sys-apps/systemd:= )
+ smi? ( net-libs/libsmi )
+ snappy? ( app-arch/snappy:= )
+ spandsp? ( media-libs/spandsp:= )
+ sshdump? ( >=net-libs/libssh-0.6:= )
+ ssl? ( >=net-libs/gnutls-3.5.8:= )
+ wifi? ( >=net-libs/libssh-0.6:= )
+ zlib? ( sys-libs/zlib )
+ zstd? ( app-arch/zstd:= )
+"
+DEPEND="
+ ${RDEPEND}
+ gui? (
+ !qt6? (
+ dev-qt/qtdeclarative:5
+ )
+ )
+"
+# TODO: 4.0.0_rc1 release notes say:
+# "Perl is no longer required to build Wireshark, but may be required to build some source code files and run code analysis checks."
+BDEPEND="
+ ${PYTHON_DEPS}
+ dev-lang/perl
+ sys-devel/flex
+ sys-devel/gettext
+ virtual/pkgconfig
+ doc? (
+ app-doc/doxygen
+ dev-ruby/asciidoctor
+ )
+ gui? (
+ qt6? (
+ dev-qt/qttools:6[linguist]
+ )
+ !qt6? (
+ dev-qt/linguist-tools:5
+ )
+ )
+ test? (
+ $(python_gen_any_dep '
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ ')
+ )
+"
+RDEPEND="
+ ${RDEPEND}
+ gui? ( virtual/freedesktop-icon-theme )
+ selinux? ( sec-policy/selinux-wireshark )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.6.0-redhat.patch
+ "${FILESDIR}"/${PN}-3.4.2-cmake-lua-version.patch
+)
+
+python_check_deps() {
+ use test || return 0
+
+ python_has_version -b "dev-python/pytest[${PYTHON_USEDEP}]" &&
+ python_has_version -b "dev-python/pytest-xdist[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use lua && lua-single_pkg_setup
+
+ python-any-r1_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs
+
+ python_setup
+
+ # Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
+ # --with-ssl to ./configure. (Mimics code from acinclude.m4).
+ if use kerberos ; then
+ case $(krb5-config --libs) in
+ *-lcrypto*)
+ ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
+ ewarn "Note there are annoying license incompatibilities between the OpenSSL"
+ ewarn "license and the GPL, so do your check before distributing such package."
+ mycmakeargs+=( -DENABLE_GNUTLS=$(usex ssl) )
+ ;;
+ esac
+ fi
+
+ if use gui ; then
+ append-cxxflags -fPIC -DPIC
+ fi
+
+ ! use lto && filter-lto
+
+ mycmakeargs+=(
+ -DPython3_EXECUTABLE="${PYTHON}"
+ -DCMAKE_DISABLE_FIND_PACKAGE_{Asciidoctor,DOXYGEN}=$(usex !doc)
+
+ $(use androiddump && use pcap && echo -DEXTCAP_ANDROIDDUMP_LIBPCAP=yes)
+ $(usex gui LRELEASE=$(qt5_get_bindir)/lrelease '')
+ $(usex gui MOC=$(qt5_get_bindir)/moc '')
+ $(usex gui RCC=$(qt5_get_bindir)/rcc '')
+ $(usex gui UIC=$(qt5_get_bindir)/uic '')
+
+ -DBUILD_androiddump=$(usex androiddump)
+ -DBUILD_capinfos=$(usex capinfos)
+ -DBUILD_captype=$(usex captype)
+ -DBUILD_ciscodump=$(usex ciscodump)
+ -DBUILD_dftest=$(usex dftest)
+ -DBUILD_dpauxmon=$(usex dpauxmon)
+ -DBUILD_dumpcap=$(usex dumpcap)
+ -DBUILD_editcap=$(usex editcap)
+ -DBUILD_mergecap=$(usex mergecap)
+ -DBUILD_mmdbresolve=$(usex maxminddb)
+ -DBUILD_randpkt=$(usex randpkt)
+ -DBUILD_randpktdump=$(usex randpktdump)
+ -DBUILD_reordercap=$(usex reordercap)
+ -DBUILD_sdjournal=$(usex sdjournal)
+ -DBUILD_sharkd=$(usex sharkd)
+ -DBUILD_sshdump=$(usex sshdump)
+ -DBUILD_text2pcap=$(usex text2pcap)
+ -DBUILD_tfshark=$(usex tfshark)
+ -DBUILD_tshark=$(usex tshark)
+ -DBUILD_udpdump=$(usex udpdump)
+
+ -DBUILD_wireshark=$(usex gui)
+ -DUSE_qt6=$(usex qt6)
+
+ -DENABLE_WERROR=OFF
+ -DENABLE_BCG729=$(usex bcg729)
+ -DENABLE_BROTLI=$(usex brotli)
+ -DENABLE_CAP=$(usex filecaps caps)
+ -DENABLE_GNUTLS=$(usex ssl)
+ -DENABLE_ILBC=$(usex ilbc)
+ -DENABLE_KERBEROS=$(usex kerberos)
+ -DENABLE_LIBXML2=$(usex libxml2)
+ -DENABLE_LTO=$(usex lto)
+ -DENABLE_LUA=$(usex lua)
+ -DENABLE_LZ4=$(usex lz4)
+ -DENABLE_MINIZIP=$(usex minizip)
+ -DENABLE_NETLINK=$(usex netlink)
+ -DENABLE_NGHTTP2=$(usex http2)
+ -DENABLE_OPUS=$(usex opus)
+ -DENABLE_PCAP=$(usex pcap)
+ -DENABLE_PLUGINS=$(usex plugins)
+ -DENABLE_PLUGIN_IFDEMO=OFF
+ -DENABLE_SBC=$(usex sbc)
+ -DENABLE_SMI=$(usex smi)
+ -DENABLE_SNAPPY=$(usex snappy)
+ -DENABLE_SPANDSP=$(usex spandsp)
+ -DBUILD_wifidump=$(usex wifi)
+ -DENABLE_ZLIB=$(usex zlib)
+ -DENABLE_ZSTD=$(usex zstd)
+ )
+
+ cmake_src_configure
+}
+
+src_test() {
+ cmake_build test-programs
+
+ EPYTEST_DESELECT=(
+ # TODO: investigate
+ suite_follow_multistream.py::case_follow_multistream::test_follow_http2_multistream
+ )
+
+ # https://www.wireshark.org/docs/wsdg_html_chunked/ChTestsRunPytest.html
+ epytest \
+ --disable-capture \
+ --skip-missing-programs=all \
+ --program-path "${BUILD_DIR}"/run
+}
+
+src_install() {
+ cmake_src_install
+
+ # FAQ is not required as is installed from help/faq.txt
+ dodoc AUTHORS ChangeLog NEWS README* doc/randpkt.txt doc/README*
+
+ # install headers
+ insinto /usr/include/wireshark
+ doins "${BUILD_DIR}"/config.h
+
+ # If trying to remove this, try build e.g. libvirt first!
+ # At last check, Fedora is still doing this too.
+ local dir dirs=(
+ epan
+ epan/crypt
+ epan/dfilter
+ epan/dissectors
+ epan/ftypes
+ wiretap
+ wsutil
+ wsutil/wmem
+ )
+
+ for dir in "${dirs[@]}" ; do
+ insinto /usr/include/wireshark/${dir}
+ doins ${dir}/*.h
+ done
+
+ if use gui ; then
+ local s
+
+ for s in 16 32 48 64 128 256 512 1024 ; do
+ insinto /usr/share/icons/hicolor/${s}x${s}/apps
+ newins resources/icons/wsicon${s}.png wireshark.png
+ done
+
+ for s in 16 24 32 48 64 128 256 ; do
+ insinto /usr/share/icons/hicolor/${s}x${s}/mimetypes
+ newins resources/icons//WiresharkDoc-${s}.png application-vnd.tcpdump.pcap.png
+ done
+ fi
+
+ if [[ -d "${ED}"/usr/share/appdata ]] ; then
+ rm -r "${ED}"/usr/share/appdata || die
+ fi
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ # Add group for users allowed to sniff.
+ chgrp pcap "${EROOT}"/usr/bin/dumpcap
+
+ if use dumpcap && use pcap ; then
+ fcaps -o 0 -g pcap -m 4710 -M 0710 \
+ cap_dac_read_search,cap_net_raw,cap_net_admin \
+ "${EROOT}"/usr/bin/dumpcap
+ fi
+
+ readme.gentoo_print_elog
+}
diff --git a/net-analyzer/wireshark/wireshark-4.1.0.ebuild b/net-analyzer/wireshark/wireshark-4.1.0.ebuild
new file mode 100644
index 000000000000..084bda174c0f
--- /dev/null
+++ b/net-analyzer/wireshark/wireshark-4.1.0.ebuild
@@ -0,0 +1,316 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..2} )
+# TODO: check cmake/modules/UseAsn2Wrs.cmake for 3.12
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit fcaps flag-o-matic lua-single python-any-r1 qmake-utils xdg cmake
+
+DESCRIPTION="Network protocol analyzer (sniffer)"
+HOMEPAGE="https://www.wireshark.org/"
+
+if [[ ${PV} == *9999* ]] ; then
+ EGIT_REPO_URI="https://gitlab.com/wireshark/wireshark"
+ inherit git-r3
+else
+ SRC_URI="https://www.wireshark.org/download/src/all-versions/${P/_/}.tar.xz"
+ S="${WORKDIR}/${P/_/}"
+
+ # 4.1.x is an experimental release until 4.2
+ #if [[ ${PV} != *_rc* ]] ; then
+ # KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~x86"
+ #fi
+fi
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+IUSE="androiddump bcg729 brotli +capinfos +captype ciscodump +dftest doc dpauxmon"
+IUSE+=" +dumpcap +editcap +gui http2 ilbc kerberos libxml2 lto lua lz4 maxminddb"
+IUSE+=" +mergecap +minizip +netlink opus +plugins +pcap qt6 +randpkt"
+IUSE+=" +randpktdump +reordercap sbc selinux +sharkd smi snappy spandsp sshdump ssl"
+IUSE+=" sdjournal test +text2pcap tfshark +tshark +udpdump wifi zlib +zstd"
+
+REQUIRED_USE="
+ lua? ( ${LUA_REQUIRED_USE} )
+"
+
+RESTRICT="!test? ( test )"
+
+# bug #753062 for speexdsp
+RDEPEND="
+ acct-group/pcap
+ >=dev-libs/glib-2.50.0:2
+ dev-libs/libpcre2
+ >=net-dns/c-ares-1.13.0:=
+ >=dev-libs/libgcrypt-1.8.0:=
+ media-libs/speexdsp
+ bcg729? ( media-libs/bcg729 )
+ brotli? ( app-arch/brotli:= )
+ ciscodump? ( >=net-libs/libssh-0.6:= )
+ filecaps? ( sys-libs/libcap )
+ http2? ( >=net-libs/nghttp2-1.11.0:= )
+ ilbc? ( media-libs/libilbc:= )
+ kerberos? ( virtual/krb5 )
+ libxml2? ( dev-libs/libxml2 )
+ lua? ( ${LUA_DEPS} )
+ lz4? ( app-arch/lz4:= )
+ maxminddb? ( dev-libs/libmaxminddb:= )
+ minizip? ( sys-libs/zlib[minizip] )
+ netlink? ( dev-libs/libnl:3 )
+ opus? ( media-libs/opus )
+ pcap? ( net-libs/libpcap )
+ gui? (
+ x11-misc/xdg-utils
+ qt6? (
+ dev-qt/qtbase:6[concurrent,dbus,gui,widgets]
+ dev-qt/qt5compat:6
+ dev-qt/qtmultimedia:6
+ )
+ !qt6? (
+ dev-qt/qtcore:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5
+ )
+ )
+ sbc? ( media-libs/sbc )
+ sdjournal? ( sys-apps/systemd:= )
+ smi? ( net-libs/libsmi )
+ snappy? ( app-arch/snappy:= )
+ spandsp? ( media-libs/spandsp:= )
+ sshdump? ( >=net-libs/libssh-0.6:= )
+ ssl? ( >=net-libs/gnutls-3.5.8:= )
+ wifi? ( >=net-libs/libssh-0.6:= )
+ zlib? ( sys-libs/zlib )
+ zstd? ( app-arch/zstd:= )
+"
+DEPEND="
+ ${RDEPEND}
+ gui? (
+ !qt6? (
+ dev-qt/qtdeclarative:5
+ )
+ )
+"
+# TODO: 4.0.0_rc1 release notes say:
+# "Perl is no longer required to build Wireshark, but may be required to build some source code files and run code analysis checks."
+BDEPEND="
+ ${PYTHON_DEPS}
+ dev-lang/perl
+ sys-devel/flex
+ sys-devel/gettext
+ virtual/pkgconfig
+ doc? (
+ app-doc/doxygen
+ dev-ruby/asciidoctor
+ )
+ gui? (
+ qt6? (
+ dev-qt/qttools:6[linguist]
+ )
+ !qt6? (
+ dev-qt/linguist-tools:5
+ )
+ )
+ test? (
+ $(python_gen_any_dep '
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ ')
+ )
+"
+RDEPEND="
+ ${RDEPEND}
+ gui? ( virtual/freedesktop-icon-theme )
+ selinux? ( sec-policy/selinux-wireshark )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.6.0-redhat.patch
+)
+
+python_check_deps() {
+ use test || return 0
+
+ python_has_version -b "dev-python/pytest[${PYTHON_USEDEP}]" &&
+ python_has_version -b "dev-python/pytest-xdist[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use lua && lua-single_pkg_setup
+
+ python-any-r1_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs
+
+ python_setup
+
+ # Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
+ # --with-ssl to ./configure. (Mimics code from acinclude.m4).
+ if use kerberos ; then
+ case $(krb5-config --libs) in
+ *-lcrypto*)
+ ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
+ ewarn "Note there are annoying license incompatibilities between the OpenSSL"
+ ewarn "license and the GPL, so do your check before distributing such package."
+ mycmakeargs+=( -DENABLE_GNUTLS=$(usex ssl) )
+ ;;
+ esac
+ fi
+
+ if use gui ; then
+ append-cxxflags -fPIC -DPIC
+ fi
+
+ ! use lto && filter-lto
+
+ mycmakeargs+=(
+ -DPython3_EXECUTABLE="${PYTHON}"
+ -DCMAKE_DISABLE_FIND_PACKAGE_{Asciidoctor,DOXYGEN}=$(usex !doc)
+
+ $(use androiddump && use pcap && echo -DEXTCAP_ANDROIDDUMP_LIBPCAP=yes)
+ $(usex gui LRELEASE=$(qt5_get_bindir)/lrelease '')
+ $(usex gui MOC=$(qt5_get_bindir)/moc '')
+ $(usex gui RCC=$(qt5_get_bindir)/rcc '')
+ $(usex gui UIC=$(qt5_get_bindir)/uic '')
+
+ -DBUILD_androiddump=$(usex androiddump)
+ -DBUILD_capinfos=$(usex capinfos)
+ -DBUILD_captype=$(usex captype)
+ -DBUILD_ciscodump=$(usex ciscodump)
+ -DBUILD_dftest=$(usex dftest)
+ -DBUILD_dpauxmon=$(usex dpauxmon)
+ -DBUILD_dumpcap=$(usex dumpcap)
+ -DBUILD_editcap=$(usex editcap)
+ -DBUILD_mergecap=$(usex mergecap)
+ -DBUILD_mmdbresolve=$(usex maxminddb)
+ -DBUILD_randpkt=$(usex randpkt)
+ -DBUILD_randpktdump=$(usex randpktdump)
+ -DBUILD_reordercap=$(usex reordercap)
+ -DBUILD_sdjournal=$(usex sdjournal)
+ -DBUILD_sharkd=$(usex sharkd)
+ -DBUILD_sshdump=$(usex sshdump)
+ -DBUILD_text2pcap=$(usex text2pcap)
+ -DBUILD_tfshark=$(usex tfshark)
+ -DBUILD_tshark=$(usex tshark)
+ -DBUILD_udpdump=$(usex udpdump)
+
+ -DBUILD_wireshark=$(usex gui)
+ -DUSE_qt6=$(usex qt6)
+
+ -DENABLE_WERROR=OFF
+ -DENABLE_BCG729=$(usex bcg729)
+ -DENABLE_BROTLI=$(usex brotli)
+ -DENABLE_CAP=$(usex filecaps caps)
+ -DENABLE_GNUTLS=$(usex ssl)
+ -DENABLE_ILBC=$(usex ilbc)
+ -DENABLE_KERBEROS=$(usex kerberos)
+ -DENABLE_LIBXML2=$(usex libxml2)
+ -DENABLE_LTO=$(usex lto)
+ -DENABLE_LUA=$(usex lua)
+ -DLUA_FIND_VERSIONS="${ELUA#lua}"
+ -DENABLE_LZ4=$(usex lz4)
+ -DENABLE_MINIZIP=$(usex minizip)
+ -DENABLE_NETLINK=$(usex netlink)
+ -DENABLE_NGHTTP2=$(usex http2)
+ -DENABLE_OPUS=$(usex opus)
+ -DENABLE_PCAP=$(usex pcap)
+ -DENABLE_PLUGINS=$(usex plugins)
+ -DENABLE_PLUGIN_IFDEMO=OFF
+ -DENABLE_SBC=$(usex sbc)
+ -DENABLE_SMI=$(usex smi)
+ -DENABLE_SNAPPY=$(usex snappy)
+ -DENABLE_SPANDSP=$(usex spandsp)
+ -DBUILD_wifidump=$(usex wifi)
+ -DENABLE_ZLIB=$(usex zlib)
+ -DENABLE_ZSTD=$(usex zstd)
+ )
+
+ cmake_src_configure
+}
+
+src_test() {
+ cmake_build test-programs
+
+ EPYTEST_DESELECT=(
+ # TODO: investigate
+ suite_follow_multistream.py::case_follow_multistream::test_follow_http2_multistream
+ )
+
+ # https://www.wireshark.org/docs/wsdg_html_chunked/ChTestsRunPytest.html
+ epytest \
+ --disable-capture \
+ --skip-missing-programs=all \
+ --program-path "${BUILD_DIR}"/run
+}
+
+src_install() {
+ cmake_src_install
+
+ # FAQ is not required as is installed from help/faq.txt
+ dodoc AUTHORS ChangeLog NEWS README* doc/randpkt.txt doc/README*
+
+ # install headers
+ insinto /usr/include/wireshark
+ doins "${BUILD_DIR}"/config.h
+
+ # If trying to remove this, try build e.g. libvirt first!
+ # At last check, Fedora is still doing this too.
+ local dir dirs=(
+ epan
+ epan/crypt
+ epan/dfilter
+ epan/dissectors
+ epan/ftypes
+ wiretap
+ wsutil
+ wsutil/wmem
+ )
+
+ for dir in "${dirs[@]}" ; do
+ insinto /usr/include/wireshark/${dir}
+ doins ${dir}/*.h
+ done
+
+ if use gui ; then
+ local s
+
+ for s in 16 32 48 64 128 256 512 1024 ; do
+ insinto /usr/share/icons/hicolor/${s}x${s}/apps
+ newins resources/icons/wsicon${s}.png wireshark.png
+ done
+
+ for s in 16 24 32 48 64 128 256 ; do
+ insinto /usr/share/icons/hicolor/${s}x${s}/mimetypes
+ newins resources/icons//WiresharkDoc-${s}.png application-vnd.tcpdump.pcap.png
+ done
+ fi
+
+ if [[ -d "${ED}"/usr/share/appdata ]] ; then
+ rm -r "${ED}"/usr/share/appdata || die
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ # Add group for users allowed to sniff.
+ chgrp pcap "${EROOT}"/usr/bin/dumpcap
+
+ if use dumpcap && use pcap ; then
+ fcaps -o 0 -g pcap -m 4710 -M 0710 \
+ cap_dac_read_search,cap_net_raw,cap_net_admin \
+ "${EROOT}"/usr/bin/dumpcap
+ fi
+
+ ewarn "NOTE: To capture traffic with wireshark as normal user you have to"
+ ewarn "add yourself to the pcap group. This security measure ensures"
+ ewarn "that only trusted users are allowed to sniff your traffic."
+}
diff --git a/net-analyzer/wireshark/wireshark-9999.ebuild b/net-analyzer/wireshark/wireshark-9999.ebuild
index f2e8832d6897..084bda174c0f 100644
--- a/net-analyzer/wireshark/wireshark-9999.ebuild
+++ b/net-analyzer/wireshark/wireshark-9999.ebuild
@@ -5,7 +5,7 @@ EAPI=8
LUA_COMPAT=( lua5-{1..2} )
# TODO: check cmake/modules/UseAsn2Wrs.cmake for 3.12
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
inherit fcaps flag-o-matic lua-single python-any-r1 qmake-utils xdg cmake
@@ -19,9 +19,10 @@ else
SRC_URI="https://www.wireshark.org/download/src/all-versions/${P/_/}.tar.xz"
S="${WORKDIR}/${P/_/}"
- if [[ ${PV} != *_rc* ]] ; then
- KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~x86"
- fi
+ # 4.1.x is an experimental release until 4.2
+ #if [[ ${PV} != *_rc* ]] ; then
+ # KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~x86"
+ #fi
fi
LICENSE="GPL-2"
@@ -131,7 +132,6 @@ RDEPEND="
PATCHES=(
"${FILESDIR}"/${PN}-2.6.0-redhat.patch
- "${FILESDIR}"/${PN}-3.4.2-cmake-lua-version.patch
)
python_check_deps() {
@@ -215,6 +215,7 @@ src_configure() {
-DENABLE_LIBXML2=$(usex libxml2)
-DENABLE_LTO=$(usex lto)
-DENABLE_LUA=$(usex lua)
+ -DLUA_FIND_VERSIONS="${ELUA#lua}"
-DENABLE_LZ4=$(usex lz4)
-DENABLE_MINIZIP=$(usex minizip)
-DENABLE_NETLINK=$(usex netlink)
diff --git a/net-analyzer/wtfis/Manifest b/net-analyzer/wtfis/Manifest
index 7d67293bfb13..aaca20b150e8 100644
--- a/net-analyzer/wtfis/Manifest
+++ b/net-analyzer/wtfis/Manifest
@@ -1,6 +1,8 @@
DIST wtfis-0.6.1.gh.tar.gz 472803 BLAKE2B 9764d54d88bc8709b67673200a295bc0520438733b45c98d779e088bbcf57778007caf7fa0dcafed881d94bb6b7216f8f00b30b0b0bd528252c18e449865c382 SHA512 75f44416979f7196879a5a3f528caed7154c29f6a79b9ba116bba98f609b5d4bf9f2f78c2eba1e1629fa9f50c60b5678adac98150843fc1ffbedff8bcae3f0f3
DIST wtfis-0.6.2.gh.tar.gz 473959 BLAKE2B 776b8cafa5acca6648c168198b47ae9f47b8d72b8454880adcb6e63280f9bf60c83184e5ce3054058232eecbf80ead880d4d454ce3b7ca664d4a0bf1d4451e59 SHA512 11ca3987d4ee8e66ad662136b7d4262c26556359c253382fefae3b70aa1c09b95c326a5347299c519eaf54724099402917977ad322eb07dbec765a9d21f39549
+DIST wtfis-0.7.0.gh.tar.gz 545486 BLAKE2B ac4272ce7b1a1b6c0f0a3c17af155e4be25ac6e466ddcb983f3b9eb20c3e20be29447092c515e1429fd51c79bc89ed282b46886c05eaae97bb31d5816d57ba57 SHA512 678c504ca7c682b1fd0bde345fb6007513e5ecaa5a7dc77f220778ee1de10636b44462e319a8d67b9fbe10c77f29ce2c31692a82777ca91713fd257c28c407f5
EBUILD wtfis-0.6.1-r1.ebuild 1016 BLAKE2B 7da15f3f70cfb25def4e8f1fb4832811f4270f01301542d22393478411964136a8e3d3e0448db0d24ee2fa3f62d9ea2b9a55e8a9250c11165f27b563bbc3de55 SHA512 c1e92af6226ded7b18bd291889af6e341d316f412add6c31e103cb33566354ad6bf73bb5888a4a49a2e2aaa4645d143212a0471a721d683373500ddd2260b92c
EBUILD wtfis-0.6.2.ebuild 969 BLAKE2B 355e7abd0cebddb2cd25621db113c0c8bd88e502a7d1c9d3bdf27bd8fb539a21f4574775634256e58073300cede176e9a2da1d6ab3bbd638d752a01a11561ea9 SHA512 cb92e0bb9a35369df6f035b31c7ce8aeca3116ac9f4f31e4a8254dbea0cdfce653bdb3945490f48242731c07d9dbe0e54b6473f6999f2536157edae6181322e0
-EBUILD wtfis-9999.ebuild 976 BLAKE2B 02b3bfa0e34bd241f9786dec4b37c28bb415197b8bbe3c3cb1e50fce474ece2e2665a11773470a2c95d17f4db9f3765c34297714cb8cb0cedd695dbb35634785 SHA512 43fd4ce9b5c61930d11cf2b1a9b04b2aa762e6e94634e0fbf5d27e34c37178fa7179051739e9184536244c1a43b90acddca95530a5002a9a1257a674bee16913
+EBUILD wtfis-0.7.0.ebuild 968 BLAKE2B d61d5852ad25f332d878a3de01f1daf4b992b09528b9a386d1af06167c48f5087358061c9a8c51fbcb15a73ab2134800f84618e4c6371284e9681629de6e9a35 SHA512 4ce7b35592c644168a58819c7a07418c93ba4e3f7fd8d6e83130b9cdf8f20f72108827400b98a6f068aacaafbda4782f14e438373275544cdcc7d7769c3732ad
+EBUILD wtfis-9999.ebuild 975 BLAKE2B a0e64878267497bd560b79d13b930734a1e12d075b5c22f887b9f9f317bbfd090dd0eafefde40c182755698e5b30e3d8f0521ca0b9149d61ef4fdc04265fe35d SHA512 e41c83af58b6adee639ac42b9af014953d535d05be6c28266d014f47cd4bba04b2cd491c7d44ad3595c693f768ccfd4c068153077f1e6dc1c0fc28cad278df36
MISC metadata.xml 855 BLAKE2B 552b9998e0eada39d9a0f0e092c566e9a75c5ac2e2360df66d9b7334e663a9fb4a82be51f31623f31644e2863d78570405dc94e36769be7cbbcc3539cf49d920 SHA512 56593e8b58a019e4cdbf23946331c34f66fc72e318271916b33f3f63ccfb2d7a546dcbf05fcd0bd0bce9e5e0ce8f7b0cfd621b4b938c0eed135c34d025fdfc32
diff --git a/net-analyzer/wtfis/wtfis-0.7.0.ebuild b/net-analyzer/wtfis/wtfis-0.7.0.ebuild
new file mode 100644
index 000000000000..aaad234ddcfb
--- /dev/null
+++ b/net-analyzer/wtfis/wtfis-0.7.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+inherit distutils-r1
+
+DESCRIPTION="Passive hostname, domain and IP lookup tool for non-robots"
+HOMEPAGE="https://github.com/pirxthepilot/wtfis"
+
+if [[ ${PV} = "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/pirxthepilot/wtfis.git"
+else
+ SRC_URI="https://github.com/pirxthepilot/wtfis/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/pydantic-2.0.3[${PYTHON_USEDEP}]
+ >=dev-python/python-dotenv-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.31.0[${PYTHON_USEDEP}]
+ >=dev-python/rich-13.4.2[${PYTHON_USEDEP}]
+ >=net-analyzer/shodan-1.29.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/net-analyzer/wtfis/wtfis-9999.ebuild b/net-analyzer/wtfis/wtfis-9999.ebuild
index aca9bc27250e..3d0c505fad66 100644
--- a/net-analyzer/wtfis/wtfis-9999.ebuild
+++ b/net-analyzer/wtfis/wtfis-9999.ebuild
@@ -23,10 +23,10 @@ SLOT="0"
RDEPEND="
>=dev-python/pydantic-2.0.3[${PYTHON_USEDEP}]
- >=dev-python/python-dotenv-0.21.0[${PYTHON_USEDEP}]
- >=dev-python/requests-2.28.1[${PYTHON_USEDEP}]
- >=dev-python/rich-12.6.0[${PYTHON_USEDEP}]
- >=net-analyzer/shodan-1.28.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dotenv-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.31.0[${PYTHON_USEDEP}]
+ >=dev-python/rich-13.4.2[${PYTHON_USEDEP}]
+ >=net-analyzer/shodan-1.29.1[${PYTHON_USEDEP}]
"
BDEPEND="
test? (